! This routine adds a fraction of stray light a given synthetic profile.
!
Subroutine Add_stray_light(Params, Atmo, Region, Profile)
  Use Param_structure
  Use Line_data_structure
  Use Model_structure
  Implicit None
  Type (Parameters) :: Params
  Type (model) :: Atmo
  Type (Region_data), dimension (Params%n_regions) :: Region
  Real, Dimension (Params%n_data) :: Profile
  Integer :: ireg, iwave, idata
  Real :: ff
!
  idata=1
  Do ireg=1, Params%n_regions
     ff=1.-Atmo%stray
     If (Region(ireg)%layer .eq. 2) ff=ff+(1.-ff)*Atmo%expansion
     Do iwave=1, Region(ireg)%nwavelengths
        Profile(idata:idata+3) = ff*Profile(idata:idata+3) + &
             (1.-ff)*Params%Stray_prof(idata:idata+3)
        idata=idata+4
     End do
  End do
!
  Return
End Subroutine Add_stray_light
