	real*8 function fun6j(j11,j12,j13,j21,j22,j23)
!
!   Calculates 6j	value, each jii is real
!
	implicit real*8 (f,j,s,t)

	parameter (idim0=1000)

	dimension sg(-idim0:idim0)
	dimension fl(0:idim0)

	common /sgnm/sg
	common /fact/fl

	ij1=idnint(j11+j11)
	ij2=idnint(j12+j12)
	ij3=idnint(j13+j13)
	ij4=idnint(j21+j21)
	ij5=idnint(j22+j22)
	ij6=idnint(j23+j23)

	ijm1=(ij1+ij2+ij3)/2
	ijm2=(ij1+ij5+ij6)/2
	ijm3=(ij4+ij2+ij6)/2
	ijm4=(ij4+ij5+ij3)/2

	ijm=ijm1

	if(ijm2.gt.ijm) ijm=ijm2
	if(ijm3.gt.ijm) ijm=ijm3
	if(ijm4.gt.ijm) ijm=ijm4

	ijx1=(ij1+ij2+ij4+ij5)/2
	ijx2=(ij2+ij3+ij5+ij6)/2
	ijx3=(ij3+ij1+ij6+ij4)/2

	ijx=ijx1

	if(ijx2.lt.ijx) ijx=ijx2
	if(ijx3.lt.ijx) ijx=ijx3

	fun6j=.0d0

	if(ijm.le.ijx) then

	  term=.0d0

	  term1=fn2(ij1,ij2,ij3)+fn2(ij1,ij5,ij6) &
      	  +fn2(ij4,ij2,ij6)+fn2(ij4,ij5,ij3)

	  do i=ijm,ijx
	    term2=fl(i+1)-fl(i-ijm1)-fl(i-ijm2)-fl(i-ijm3) &
      	    -fl(i-ijm4)-fl(ijx1-i)-fl(ijx2-i)-fl(ijx3-i)
	    term=sg(i)*dexp(term1+term2)
	    fun6j=fun6j+term
	  end do

	end if

	end
