Subroutine convlv(data,n,respns,m,isign,ans)
  Implicit None
  Integer isign,m,n
  Real data(n),respns(n)
  Complex ans(n)
  Integer i,no2
  Complex fft(n)
!
  do i=1,(m-1)/2
     respns(n+1-i)=respns(m+1-i)
  end do
  do i=(m+3)/2,n-(m-1)/2
     respns(i)=0.0
  end do
  Call TwoFft(data,respns,fft,ans,n)
  no2=n/2
  do i=1,no2+1
     if (isign.eq.1) then
        ans(i)=fft(i)*ans(i)/no2
     else if (isign.eq.-1) then
        if (abs(ans(i)).eq.0.0) pause 'deconvolving at response zero in convlv'
        ans(i)=fft(i)/ans(i)/no2
     else
        pause 'no meaning for isign in convlv'
     end if
  end do
  ans(1)=cmplx(real(ans(1)),real(ans(no2+1)))
  call realft(ans,n,-1)
  return
End Subroutine convlv
