      REAL*8 FUNCTION H2PKUR(TEMP,FREQ)                                 
      REAL*8 A,B,ES,FR,AF,KT,EX,X,FMUT
      T=TEMP                                                            00065900
      FR=FREQ                                                           00066000
      IF(FR.LE.3.28805D15) GO TO 1                                      00066100
      H2PKUR=0.0                                                        00066200
      RETURN                                                            00066300
    1 AF=DLOG(FR)                                                       00066400
      A=(-4.230D-46+(1.224D-61-1.351D-77*FR)*FR)*FR                     00066500
      ES=-7.342D-3+(-2.409D-15+(1.028D-30+A)*FR)*FR                     00066600
      B=(-1.82496D1+(3.9207D-1-3.1672D-3*AF)*AF)*AF                     00066700
      KT=1.38062D-16*T/1.6022D-12                                       00066800
                X=((-ES/KT)-3.0233D+3+(3.7797D2+B)*AF)
      FMUT=DEXP(X)
C      WRITE(6,12345) FMUT
12345 FORMAT(1X,'DEXP(X)=',D15.7)
C      FMUT=DEXP((-ES/KT)-3.0233D+3+(3.7797D2+B)*AF)                    00066900
       X=(6.624D-27*FR/1.38062D-16/T)
      EX=1.0/DEXP(X)
C      EX=1.0/DEXP(6.624D-27*FR/1.38062D-16/T)                          00067000
       FMUT=FMUT*(1.0-EX)
C      WRITE(6,12346) FMUT
12346 FORMAT(1X,'FMUT=',D15.7)
      H2PKUR=FMUT                                                       00067100
      RETURN                                                            00067200
      END                                                               00067300
