! This routine performs a matrix product A.B=C. The dimension of A are nrA
! by ncA (number of rows and columns, respectively), while ncB is the number
! of columns in B.
!
Subroutine Multiply_matrix(nrA, ncA, ncB, A, B, C)
  Implicit None
  Integer :: nrA, ncA, ncB
  Real, Dimension (nrA, ncA) :: A
  Real, Dimension (ncA, ncB) :: B
  Real, Dimension (nrA, ncB) :: C
  Integer :: i, j, k
!
  Do i=1, nrA
     Do j=1, ncB
        C(i, j)=0.
        Do k=1, ncA
           C(i, j)=C(i, j)+A(i, k)*B(k, j)
        End do
     End do
  End do
  Return
End Subroutine Multiply_matrix
