Subroutine Allocate_model(Modelo, npoints)
  Use Param_structure
  Use Model_structure
  Implicit None
!   Type (Parameters) :: Params
  Type (Model) :: Modelo
  Integer :: npoints, status

  Allocate(Modelo%z_scale(npoints), stat=status)
  If (status .gt. 0) then
     Print *,'Out of memory while allocating Modelo%z_scale'
     Stop
  End if
  Allocate(Modelo%ltau_500(npoints), stat=status)
  If (status .gt. 0) then
     Print *,'Out of memory while allocating Modelo%ltau_500'
     Stop
  End if
  Allocate(Modelo%temp(npoints), stat=status)
  If (status .gt. 0) then
     Print *,'Out of memory while allocating Modelo%temp   '
     Stop
  End if
  Allocate(Modelo%gas_p(npoints), stat=status)
  If (status .gt. 0) then
     Print *,'Out of memory while allocating Modelo%gas_p'
     Stop
  End if
  Allocate(Modelo%rho(npoints), stat=status)
  If (status .gt. 0) then
     Print *,'Out of memory while allocating Modelo%rho'
     Stop
  End if
  Allocate(Modelo%el_p(npoints), stat=status)
  If (status .gt. 0) then
     Print *,'Out of memory while allocating Modelo%el_p'
     Stop
  End if
  Allocate(Modelo%v_los(npoints), stat=status)
  If (status .gt. 0) then
     Print *,'Out of memory while allocating Modelo%v_los'
     Stop
  End if
  Allocate(Modelo%v_mic(npoints), stat=status)
  If (status .gt. 0) then
     Print *,'Out of memory while allocating Modelo%v_mic'
     Stop
  End if
  Allocate(Modelo%b_str(npoints), stat=status)
  If (status .gt. 0) then
     Print *,'Out of memory while allocating Modelo%b_str'
     Stop
  End if
  Allocate(Modelo%b_inc(npoints), stat=status)
  If (status .gt. 0) then
     Print *,'Out of memory while allocating Modelo%b_inc'
     Stop
  End if
  Allocate(Modelo%b_azi(npoints), stat=status)
  If (status .gt. 0) then
     Print *,'Out of memory while allocating Modelo%b_azi'
     Stop
  End if
  Allocate(Modelo%local_inc(npoints), stat=status)
  If (status .gt. 0) then
     Print *,'Out of memory while allocating Modelo%b_inc'
     Stop
  End if
  Allocate(Modelo%local_azi(npoints), stat=status)
  If (status .gt. 0) then
     Print *,'Out of memory while allocating Modelo%b_azi'
     Stop
  End if
  Allocate(Modelo%ne(npoints))
  Allocate(Modelo%nH(npoints))
  Allocate(Modelo%nHplus(npoints))
  Allocate(Modelo%nHminus(npoints))
  Allocate(Modelo%nH2(npoints))
!
  Return
End Subroutine Allocate_model
