! Subroutine to open a file
!
Subroutine Open_file(Unit, Filename)
!
  Implicit None
  Character (len=*) :: Filename
  Integer :: Unit
  Logical :: Op
!
  Unit=29
  Op=.TRUE.
  Do while (Op)
     Unit=Unit+1
     Inquire (Unit, Opened = Op)
  End do
  If (Unit .gt. 125) Then
     Print *,'No more file units available'
     Stop
  End if
  Open (Unit, File=Filename)
  Return
End Subroutine Open_file
!
! Subroutine to open an unformatted file (sequential access)
!
Subroutine Open_file_unform(Unit, Filename)
!
  Implicit None
  Character (len=*) :: Filename
  Integer :: Unit
  Logical :: Op
!
  Unit=29
  Op=.TRUE.
  Do while (Op)
     Unit=Unit+1
     Inquire (Unit, Opened = Op)
  End do
  If (Unit .gt. 125) Then
     Print *,'No more file units available'
     Stop
  End if
  Open (Unit, File=Filename, Form='Unformatted')
  Return
End Subroutine Open_file_unform

!
! Subroutine to open an unformatted file for direct access
!
Subroutine Open_file_direct(Unit, Filename, Recl)
!
  Implicit None
  Character (len=*) :: Filename
  Integer :: Unit
  Integer :: Recl
  Logical :: Op
!
  Unit=29
  Op=.TRUE.
  Do while (Op)
     Unit=Unit+1
     Inquire (Unit, Opened = Op)
  End do
  If (Unit .gt. 125) Then
     Print *,'No more file units available'
     Stop
  End if
  Open (Unit, File=Filename, Form='Unformatted', Access='Direct', Recl=Recl)
  Return
End Subroutine Open_file_direct
