Subroutine Read_next_nocomment(File_unit, String, End)
! This subroutine reads the next non-comment line from the file unit
! File_unit. String must be 256 characters long. End is a logical array
! that is set to true if the end of the file has been reached. 
!
  Implicit None
  Integer :: File_unit
  Character (len=256) :: String, Mytrim
  Logical :: End
!
  End=.FALSE.
  Read(File_unit,'(A)', End=100) String
  String=Mytrim(String)
  Do while (String(1:1) .eq. '!')
     Read(File_unit,'(A)', End=100) String
     String=Mytrim(String)
  End do
  Return
100 End=.TRUE.
  Return
End Subroutine Read_next_nocomment
!
Function Mytrim(String)
  Character (len=*) :: String, Mytrim
  Integer :: ich, l
!
  ich=1
  l=Len(String)
  Do while (Ichar(String(ich:ich)) .le. 32 .and. ich .lt. l-1)
     ich=ich+1
  End do
  Mytrim=String(ich:Len(String))
  Return
End Function Mytrim